<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DivideInParty StructType
 * Meta information extracted from the WSDL
 * - documentation: Indicates if different passenger types are booked in different inventories.
 * @subpackage Structs
 */
class DivideInParty extends AbstractStructBase
{
    /**
     * The Indicator
     * Meta information extracted from the WSDL
     * - use: optional
     * @var bool
     */
    public $Indicator;
    /**
     * Constructor method for DivideInParty
     * @uses DivideInParty::setIndicator()
     * @param bool $indicator
     */
    public function __construct($indicator = null)
    {
        $this
            ->setIndicator($indicator);
    }
    /**
     * Get Indicator value
     * @return bool|null
     */
    public function getIndicator()
    {
        return $this->Indicator;
    }
    /**
     * Set Indicator value
     * @param bool $indicator
     * @return \SabreSoap\StructType\DivideInParty
     */
    public function setIndicator($indicator = null)
    {
        $this->Indicator = $indicator;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \SabreSoap\StructType\DivideInParty
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
