<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FareBasisCodes StructType
 * Meta information extracted from the WSDL
 * - documentation: This is a collection of Fare Basis Codes
 * @subpackage Structs
 */
class FareBasisCodes extends AbstractStructBase
{
    /**
     * The FareBasisCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 400
     * @var \SabreSoap\StructType\FareBasisCode[]
     */
    public $FareBasisCode;
    /**
     * Constructor method for FareBasisCodes
     * @uses FareBasisCodes::setFareBasisCode()
     * @param \SabreSoap\StructType\FareBasisCode[] $fareBasisCode
     */
    public function __construct(array $fareBasisCode = array())
    {
        $this
            ->setFareBasisCode($fareBasisCode);
    }
    /**
     * Get FareBasisCode value
     * @return \SabreSoap\StructType\FareBasisCode[]|null
     */
    public function getFareBasisCode()
    {
        return $this->FareBasisCode;
    }
    /**
     * Set FareBasisCode value
     * @param \SabreSoap\StructType\FareBasisCode[] $fareBasisCode
     * @return \SabreSoap\StructType\FareBasisCodes
     */
    public function setFareBasisCode(array $fareBasisCode = array())
    {
        $this->FareBasisCode = $fareBasisCode;
        return $this;
    }
    /**
     * Add item to FareBasisCode value
     * @throws \InvalidArgumentException
     * @param \SabreSoap\StructType\FareBasisCode $item
     * @return \SabreSoap\StructType\FareBasisCodes
     */
    public function addToFareBasisCode(\SabreSoap\StructType\FareBasisCode $item)
    {
        $this->FareBasisCode[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \SabreSoap\StructType\FareBasisCodes
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
