<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FareComponents StructType
 * Meta information extracted from the WSDL
 * - documentation: A collection of additional information for each Fare Component
 * @subpackage Structs
 */
class FareComponents extends AbstractStructBase
{
    /**
     * The FareComponent
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * @var \SabreSoap\StructType\FareComponent[]
     */
    public $FareComponent;
    /**
     * Constructor method for FareComponents
     * @uses FareComponents::setFareComponent()
     * @param \SabreSoap\StructType\FareComponent[] $fareComponent
     */
    public function __construct(array $fareComponent = array())
    {
        $this
            ->setFareComponent($fareComponent);
    }
    /**
     * Get FareComponent value
     * @return \SabreSoap\StructType\FareComponent[]|null
     */
    public function getFareComponent()
    {
        return $this->FareComponent;
    }
    /**
     * Set FareComponent value
     * @param \SabreSoap\StructType\FareComponent[] $fareComponent
     * @return \SabreSoap\StructType\FareComponents
     */
    public function setFareComponent(array $fareComponent = array())
    {
        $this->FareComponent = $fareComponent;
        return $this;
    }
    /**
     * Add item to FareComponent value
     * @throws \InvalidArgumentException
     * @param \SabreSoap\StructType\FareComponent $item
     * @return \SabreSoap\StructType\FareComponents
     */
    public function addToFareComponent(\SabreSoap\StructType\FareComponent $item)
    {
        $this->FareComponent[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \SabreSoap\StructType\FareComponents
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
