<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FareOverrides StructType
 * Meta information extracted from the WSDL
 * - documentation: Contains a sequence of fare overrides.
 * @subpackage Structs
 */
class FareOverrides extends AbstractStructBase
{
    /**
     * The FareOverride
     * Meta information extracted from the WSDL
     * - maxOccurs: 4
     * @var \SabreSoap\StructType\FareOverride[]
     */
    public $FareOverride;
    /**
     * Constructor method for FareOverrides
     * @uses FareOverrides::setFareOverride()
     * @param \SabreSoap\StructType\FareOverride[] $fareOverride
     */
    public function __construct(array $fareOverride = array())
    {
        $this
            ->setFareOverride($fareOverride);
    }
    /**
     * Get FareOverride value
     * @return \SabreSoap\StructType\FareOverride[]|null
     */
    public function getFareOverride()
    {
        return $this->FareOverride;
    }
    /**
     * Set FareOverride value
     * @param \SabreSoap\StructType\FareOverride[] $fareOverride
     * @return \SabreSoap\StructType\FareOverrides
     */
    public function setFareOverride(array $fareOverride = array())
    {
        $this->FareOverride = $fareOverride;
        return $this;
    }
    /**
     * Add item to FareOverride value
     * @throws \InvalidArgumentException
     * @param \SabreSoap\StructType\FareOverride $item
     * @return \SabreSoap\StructType\FareOverrides
     */
    public function addToFareOverride(\SabreSoap\StructType\FareOverride $item)
    {
        $this->FareOverride[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \SabreSoap\StructType\FareOverrides
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
