<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FlexibleFaresType StructType
 * @subpackage Structs
 */
class FlexibleFaresType extends AbstractStructBase
{
    /**
     * The FareParameters
     * Meta information extracted from the WSDL
     * - maxOccurs: 10
     * @var \SabreSoap\StructType\FareParameters[]
     */
    public $FareParameters;
    /**
     * Constructor method for FlexibleFaresType
     * @uses FlexibleFaresType::setFareParameters()
     * @param \SabreSoap\StructType\FareParameters[] $fareParameters
     */
    public function __construct(array $fareParameters = array())
    {
        $this
            ->setFareParameters($fareParameters);
    }
    /**
     * Get FareParameters value
     * @return \SabreSoap\StructType\FareParameters[]|null
     */
    public function getFareParameters()
    {
        return $this->FareParameters;
    }
    /**
     * Set FareParameters value
     * @param \SabreSoap\StructType\FareParameters[] $fareParameters
     * @return \SabreSoap\StructType\FlexibleFaresType
     */
    public function setFareParameters(array $fareParameters = array())
    {
        $this->FareParameters = $fareParameters;
        return $this;
    }
    /**
     * Add item to FareParameters value
     * @throws \InvalidArgumentException
     * @param \SabreSoap\StructType\FareParameters $item
     * @return \SabreSoap\StructType\FlexibleFaresType
     */
    public function addToFareParameters(\SabreSoap\StructType\FareParameters $item)
    {
        $this->FareParameters[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \SabreSoap\StructType\FlexibleFaresType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
