<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LowFareBucket StructType
 * @subpackage Structs
 */
class LowFareBucket extends AbstractStructBase
{
    /**
     * The Options
     * Meta information extracted from the WSDL
     * - base: xs:string
     * - pattern: [1-9][0-9]*|0%?|100%|[1-9][0-9]?%
     * - use: optional
     * @var string
     */
    public $Options;
    /**
     * The FareCutOff
     * Meta information extracted from the WSDL
     * - base: xs:string
     * - pattern: (0|100|[1-9][0-9]?)%
     * - use: optional
     * @var string
     */
    public $FareCutOff;
    /**
     * Constructor method for LowFareBucket
     * @uses LowFareBucket::setOptions()
     * @uses LowFareBucket::setFareCutOff()
     * @param string $options
     * @param string $fareCutOff
     */
    public function __construct($options = null, $fareCutOff = null)
    {
        $this
            ->setOptions($options)
            ->setFareCutOff($fareCutOff);
    }
    /**
     * Get Options value
     * @return string|null
     */
    public function getOptions()
    {
        return $this->Options;
    }
    /**
     * Set Options value
     * @param string $options
     * @return \SabreSoap\StructType\LowFareBucket
     */
    public function setOptions($options = null)
    {
        $this->Options = $options;
        return $this;
    }
    /**
     * Get FareCutOff value
     * @return string|null
     */
    public function getFareCutOff()
    {
        return $this->FareCutOff;
    }
    /**
     * Set FareCutOff value
     * @param string $fareCutOff
     * @return \SabreSoap\StructType\LowFareBucket
     */
    public function setFareCutOff($fareCutOff = null)
    {
        $this->FareCutOff = $fareCutOff;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \SabreSoap\StructType\LowFareBucket
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
