<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for NumTripsWithRouting StructType
 * Meta information extracted from the WSDL
 * - documentation: This element allows a user to specify the number of itineraries with special routing returned.
 * @subpackage Structs
 */
class NumTripsWithRouting extends AbstractStructBase
{
    /**
     * The Number
     * Meta information extracted from the WSDL
     * - base: xs:short
     * - default: 5
     * - minInclusive: 1
     * - use: optional
     * @var int
     */
    public $Number;
    /**
     * Constructor method for NumTripsWithRouting
     * @uses NumTripsWithRouting::setNumber()
     * @param int $number
     */
    public function __construct($number = 5)
    {
        $this
            ->setNumber($number);
    }
    /**
     * Get Number value
     * @return int|null
     */
    public function getNumber()
    {
        return $this->Number;
    }
    /**
     * Set Number value
     * @param int $number
     * @return \SabreSoap\StructType\NumTripsWithRouting
     */
    public function setNumber($number = 5)
    {
        $this->Number = $number;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \SabreSoap\StructType\NumTripsWithRouting
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
