<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PricedItinerariesType StructType
 * Meta information extracted from the WSDL
 * - documentation: Container for priced itineraries.
 * @subpackage Structs
 */
class PricedItinerariesType extends AbstractStructBase
{
    /**
     * The PricedItinerary
     * Meta information extracted from the WSDL
     * - documentation: Container for priced itinerary type.
     * - maxOccurs: unbounded
     * @var \SabreSoap\StructType\PricedItineraryType[]
     */
    public $PricedItinerary;
    /**
     * Constructor method for PricedItinerariesType
     * @uses PricedItinerariesType::setPricedItinerary()
     * @param \SabreSoap\StructType\PricedItineraryType[] $pricedItinerary
     */
    public function __construct(array $pricedItinerary = array())
    {
        $this
            ->setPricedItinerary($pricedItinerary);
    }
    /**
     * Get PricedItinerary value
     * @return \SabreSoap\StructType\PricedItineraryType[]|null
     */
    public function getPricedItinerary()
    {
        return $this->PricedItinerary;
    }
    /**
     * Set PricedItinerary value
     * @param \SabreSoap\StructType\PricedItineraryType[] $pricedItinerary
     * @return \SabreSoap\StructType\PricedItinerariesType
     */
    public function setPricedItinerary(array $pricedItinerary = array())
    {
        $this->PricedItinerary = $pricedItinerary;
        return $this;
    }
    /**
     * Add item to PricedItinerary value
     * @throws \InvalidArgumentException
     * @param \SabreSoap\StructType\PricedItineraryType $item
     * @return \SabreSoap\StructType\PricedItinerariesType
     */
    public function addToPricedItinerary(\SabreSoap\StructType\PricedItineraryType $item)
    {
        $this->PricedItinerary[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \SabreSoap\StructType\PricedItinerariesType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
