<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ResTicketingRules StructType
 * Meta information extracted from the WSDL
 * - documentation: General container for rules regarding fare reservation, ticketing and sale restrictions
 * @subpackage Structs
 */
class ResTicketingRules extends AbstractStructBase
{
    /**
     * The AdvResTicketing
     * Meta information extracted from the WSDL
     * - documentation: Container for holding rules regarding advance reservation or ticketing restrictions.
     * - minOccurs: 0
     * @var \SabreSoap\StructType\AdvResTicketingType
     */
    public $AdvResTicketing;
    /**
     * Constructor method for ResTicketingRules
     * @uses ResTicketingRules::setAdvResTicketing()
     * @param \SabreSoap\StructType\AdvResTicketingType $advResTicketing
     */
    public function __construct(\SabreSoap\StructType\AdvResTicketingType $advResTicketing = null)
    {
        $this
            ->setAdvResTicketing($advResTicketing);
    }
    /**
     * Get AdvResTicketing value
     * @return \SabreSoap\StructType\AdvResTicketingType|null
     */
    public function getAdvResTicketing()
    {
        return $this->AdvResTicketing;
    }
    /**
     * Set AdvResTicketing value
     * @param \SabreSoap\StructType\AdvResTicketingType $advResTicketing
     * @return \SabreSoap\StructType\ResTicketingRules
     */
    public function setAdvResTicketing(\SabreSoap\StructType\AdvResTicketingType $advResTicketing = null)
    {
        $this->AdvResTicketing = $advResTicketing;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \SabreSoap\StructType\ResTicketingRules
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
