<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for StreetNmbrType StructType
 * Meta information extracted from the WSDL
 * - documentation: Street name; number on street. | Used for Character Strings, length 0 to 64
 * - base: xs:string
 * - maxLength: 64
 * - minLength: 0
 * @subpackage Structs
 */
class StreetNmbrType extends AbstractStructBase
{
    /**
     * The _
     * Meta information extracted from the WSDL
     * - documentation: Used for Character Strings, length 0 to 64
     * - base: xs:string
     * - maxLength: 64
     * - minLength: 0
     * @var string
     */
    public $_;
    /**
     * The PO_Box
     * Meta information extracted from the WSDL
     * - documentation: Defines a Post Office Box number. | Used for Character Strings, length 1 to 16
     * - base: xs:string
     * - maxLength: 16
     * - minLength: 1
     * @var string
     */
    public $PO_Box;
    /**
     * Constructor method for StreetNmbrType
     * @uses StreetNmbrType::set_()
     * @uses StreetNmbrType::setPO_Box()
     * @param string $_
     * @param string $pO_Box
     */
    public function __construct($_ = null, $pO_Box = null)
    {
        $this
            ->set_($_)
            ->setPO_Box($pO_Box);
    }
    /**
     * Get _ value
     * @return string|null
     */
    public function get_()
    {
        return $this->_;
    }
    /**
     * Set _ value
     * @param string $_
     * @return \SabreSoap\StructType\StreetNmbrType
     */
    public function set_($_ = null)
    {
        $this->_ = $_;
        return $this;
    }
    /**
     * Get PO_Box value
     * @return string|null
     */
    public function getPO_Box()
    {
        return $this->PO_Box;
    }
    /**
     * Set PO_Box value
     * @param string $pO_Box
     * @return \SabreSoap\StructType\StreetNmbrType
     */
    public function setPO_Box($pO_Box = null)
    {
        $this->PO_Box = $pO_Box;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \SabreSoap\StructType\StreetNmbrType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
