<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TicketsPricingType StructType
 * @subpackage Structs
 */
class TicketsPricingType extends AbstractStructBase
{
    /**
     * The Ticket
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * @var \SabreSoap\StructType\TicketPricingType[]
     */
    public $Ticket;
    /**
     * Constructor method for TicketsPricingType
     * @uses TicketsPricingType::setTicket()
     * @param \SabreSoap\StructType\TicketPricingType[] $ticket
     */
    public function __construct(array $ticket = array())
    {
        $this
            ->setTicket($ticket);
    }
    /**
     * Get Ticket value
     * @return \SabreSoap\StructType\TicketPricingType[]|null
     */
    public function getTicket()
    {
        return $this->Ticket;
    }
    /**
     * Set Ticket value
     * @param \SabreSoap\StructType\TicketPricingType[] $ticket
     * @return \SabreSoap\StructType\TicketsPricingType
     */
    public function setTicket(array $ticket = array())
    {
        $this->Ticket = $ticket;
        return $this;
    }
    /**
     * Add item to Ticket value
     * @throws \InvalidArgumentException
     * @param \SabreSoap\StructType\TicketPricingType $item
     * @return \SabreSoap\StructType\TicketsPricingType
     */
    public function addToTicket(\SabreSoap\StructType\TicketPricingType $item)
    {
        $this->Ticket[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \SabreSoap\StructType\TicketsPricingType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
