<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TotalTravelTime StructType
 * Meta information extracted from the WSDL
 * - documentation: Total travel time settings
 * - maxOccurs: 1
 * - minOccurs: 0
 * @subpackage Structs
 */
class TotalTravelTime extends AbstractStructBase
{
    /**
     * The Min
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $Min;
    /**
     * The Max
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $Max;
    /**
     * Constructor method for TotalTravelTime
     * @uses TotalTravelTime::setMin()
     * @uses TotalTravelTime::setMax()
     * @param int $min
     * @param int $max
     */
    public function __construct($min = null, $max = null)
    {
        $this
            ->setMin($min)
            ->setMax($max);
    }
    /**
     * Get Min value
     * @return int|null
     */
    public function getMin()
    {
        return $this->Min;
    }
    /**
     * Set Min value
     * @param int $min
     * @return \SabreSoap\StructType\TotalTravelTime
     */
    public function setMin($min = null)
    {
        $this->Min = $min;
        return $this;
    }
    /**
     * Get Max value
     * @return int|null
     */
    public function getMax()
    {
        return $this->Max;
    }
    /**
     * Set Max value
     * @param int $max
     * @return \SabreSoap\StructType\TotalTravelTime
     */
    public function setMax($max = null)
    {
        $this->Max = $max;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \SabreSoap\StructType\TotalTravelTime
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
