<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for WarningsType StructType
 * @subpackage Structs
 */
class WarningsType extends AbstractStructBase
{
    /**
     * The Warning
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * @var \SabreSoap\StructType\WarningType[]
     */
    public $Warning;
    /**
     * Constructor method for WarningsType
     * @uses WarningsType::setWarning()
     * @param \SabreSoap\StructType\WarningType[] $warning
     */
    public function __construct(array $warning = array())
    {
        $this
            ->setWarning($warning);
    }
    /**
     * Get Warning value
     * @return \SabreSoap\StructType\WarningType[]|null
     */
    public function getWarning()
    {
        return $this->Warning;
    }
    /**
     * Set Warning value
     * @param \SabreSoap\StructType\WarningType[] $warning
     * @return \SabreSoap\StructType\WarningsType
     */
    public function setWarning(array $warning = array())
    {
        $this->Warning = $warning;
        return $this;
    }
    /**
     * Add item to Warning value
     * @throws \InvalidArgumentException
     * @param \SabreSoap\StructType\WarningType $item
     * @return \SabreSoap\StructType\WarningsType
     */
    public function addToWarning(\SabreSoap\StructType\WarningType $item)
    {
        $this->Warning[] = $item;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \SabreSoap\StructType\WarningsType
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
