<?php

namespace SabreSoap\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Default StructType
 * @subpackage Structs
 */
class _Default extends AbstractStructBase
{
    /**
     * The Options
     * Meta information extracted from the WSDL
     * - base: xs:string
     * - pattern: [1-9][0-9]*|0%?|100%|[1-9][0-9]?%
     * - use: required
     * @var string
     */
    public $Options;
    /**
     * Constructor method for Default
     * @uses _Default::setOptions()
     * @param string $options
     */
    public function __construct($options = null)
    {
        $this
            ->setOptions($options);
    }
    /**
     * Get Options value
     * @return string
     */
    public function getOptions()
    {
        return $this->Options;
    }
    /**
     * Set Options value
     * @param string $options
     * @return \SabreSoap\StructType\_Default
     */
    public function setOptions($options = null)
    {
        $this->Options = $options;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \SabreSoap\StructType\_Default
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
